For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HUMAN DashboardHUMAN WebsiteRequest a Demo
Media SecurityMalvertising DefenseAPI Reference
Media SecurityMalvertising DefenseAPI Reference
  • Reporting API
    • About the Reporting API
  • MediaGuard API
    • About the MediaGuard API
      • GETCheck MediaGuard's status
  • Malvertising API
    • POSTSubmit a creative for ad quality review
    • Push Result API overview
LogoLogo
Login
Login
HUMAN DashboardHUMAN WebsiteRequest a Demo
MediaGuard APIHealth Check

Check MediaGuard's status

GET
https://your-mediaguard-server-url/health-check
GET
/health-check
$curl https://your-mediaguard-server-url/health-check \
> -u "<username>:<password>"
1{}

Queries the current status of MediaGuard.

Note that this endpoint always returns an empty response body; you should use the HTTP response code to determine MediaGuard’s current status.

Was this page helpful?
Previous

Submit a creative for ad quality review

Next
Built with

Authentication

AuthorizationBasic

To authenticate a request, provide an Authorization header with the value Basic base64(username:password). For example, if your HUMAN Auth ID is whiteops and your HUMAN Auth Key is secret, your Authorization header should be set to Basic d2hpdGVvcHM6c2VjcmV0.

Response

MediaGuard is ready to receive requests.

Errors

503
Service Unavailable Error